Subject: Re: [PATCH net-next-2.6] net: pskb_expand_head() optimization

From: Ben Pfaff <[email-masked]>
Date: Sun, 12 Sep 2010 12:55:54 -0700

David Miller <[email-masked]> writes:

>> 3) since skb_clone has some cost too, why e.g. saving only the pointer
>>    to the tail of the list in skb_shared_info isn't enough?
>
> Then we won't get the rest of the advantages of using list_head such
> as prefetching during traversals, automatic debugging facilities, et al.

Did you see the recent patch from Andi Kleen where he proposes
removing this prefetching in most situations because the costs
outweigh the benefits on most modern architectures?
        http://permalink.gmane.org/gmane.linux.kernel/1033281

I'm not saying that list_head doesn't have other advantages
though.
-- 
Ben Pfaff 
http://benpfaff.org